***

title: Reverse a bank transfer payment
icon: fast-backward
published: true
intro: Cancel a bank transfer payment that's in an open batch.
---------------------

For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.payroc.com/full-stack-guides/take-payments/payments/refunds/reversals/llms.txt. For full documentation content, see https://docs.payroc.com/full-stack-guides/take-payments/payments/refunds/reversals/llms-full.txt.

If a customer requests a refund and the payment is still in an open batch, the merchant can use their POS to look up the bank transfer payment and cancel the transaction.

To find the paymentId of the bank transfer payment that the merchant wants to reverse, they can retrieve a list of all the bank transfer payments that meet the search criteria that the merchant provides. They can then find the transaction that they want in the list of returned results.

<Note>
  **Note:** If the merchant runs a referenced refund on a bank transfer payment that is in an open batch, our gateway automatically reverses the payment.
</Note>

## Integration steps

**Step 1.** (Optional) List bank transfer payments.\
**Step 2.** Reverse the bank transfer payment.

## Before you begin

### Bearer tokens

Use our Identity Service to generate a Bearer token to include in the header of your requests. To generate your Bearer token, complete the following steps:

1. Include your API key in the x-api-key parameter in the header of a POST request.
2. Send your request to [https://identity.payroc.com/authorize](https://identity.payroc.com/authorize).

<Note>
  **Note:** You need to generate a new Bearer token before the previous Bearer token expires.
</Note>

#### Example request

```bash
curl --location --request POST 'https://identity.payroc.com/authorize' --header 'x-api-key: <api key>'
```

#### Example response

If your request is successful, we return a response that contains your Bearer token, information about its scope, and when it expires.

```json
{
  "access_token": "eyJhbGc....adQssw5c",
  "expires_in": 3600,
  "scope": "service_a service_b",
  "token_type": "Bearer"
}
```

### Headers

To create the header of each GET request, you must include the following parameters:

* **Content-Type:** Include application/json as the value for this parameter.
* **Authorization:** Include your Bearer token in this parameter.

```bash
curl
-H "Content-Type: application/json"
-H "Authorization: <Bearer token>"
```

To create the header of each POST request, you must include the following parameters:

* **Content-Type:** Include application/json as the value for this parameter.
* **Authorization:** Include your Bearer token in this parameter.
* **Idempotency-Key:** Include a UUID v4 to make the request idempotent.

```bash
curl
-H "Content-Type: application/json"
-H "Authorization: <Bearer token>"
-H "Idempotency-Key: <UUID v4>"
```

### Errors

If your request is unsuccessful, we return an error. For more information about errors, see [Errors](/api/errors).

## Step 1. (Optional) List bank transfer payments

To retrieve a list of bank transfer payments, send a GET request to our Bank Transfer Payments endpoint.

Use our filters to narrow down the search results.

| Endpoint   | Prefix     | URL                                                                                                          |
| :--------- | :--------- | :----------------------------------------------------------------------------------------------------------- |
| Test       | `api.uat.` | [https://api.uat.payroc.com/v1/bank-transfer-payments](https://api.uat.payroc.com/v1/bank-transfer-payments) |
| Production | `api.`     | [https://api.payroc.com/v1/bank-transfer-payments](https://api.payroc.com/v1/bank-transfer-payments)         |

### Request parameters

To create the body of your request, use the following parameters:

<EndpointSchemaSnippet endpoint="GET /bank-transfer-payments" selector="request.query" />

### Example request

<EndpointRequestSnippet endpoint="GET /bank-transfer-payments" />

### Response fields

If your request is successful, we retrieve a list of the bank transfer payments and return a response. The response contains the following fields:

<EndpointSchemaSnippet endpoint="GET /bank-transfer-payments" selector="response.body" />

### Example response

<EndpointResponseSnippet endpoint="GET /bank-transfer-payments" />

## Step 2. Reverse the bank transfer payment

To reverse a bank transfer payment, send a POST request to the Bank Transfer Payments endpoint.\
If the merchant wants to reverse only part of the transaction, send the amount that they want to reverse in the amount parameter.

| Endpoint   | Prefix     | URL                                                                                                                                                    |
| :--------- | :--------- | :----------------------------------------------------------------------------------------------------------------------------------------------------- |
| Test       | `api.uat.` | [https://api.uat.payroc.com/v1/bank-transfer-payments/\{paymentId}/reverse](https://api.uat.payroc.com/v1/bank-transfer-payments/\{paymentId}/reverse) |
| Production | `api.`     | [https://api.payroc.com/v1/bank-transfer-payments/\{paymentId}/reverse](https://api.payroc.com/v1/bank-transfer-payments/\{paymentId}/reverse)         |

### Request parameters

To create the body of your request, use the following parameters:

<EndpointSchemaSnippet endpoint="POST /bank-transfer-payments/{paymentId}/reverse" selector="request.path" />

### Example request

<EndpointRequestSnippet endpoint="POST /bank-transfer-payments/{paymentId}/reverse" />

### Response fields

If your request is successful, we reverse the bank transfer payment and return a response. The response contains the following fields:

<EndpointSchemaSnippet endpoint="POST /bank-transfer-payments/{paymentId}/reverse" selector="response.body" />

### Example response

<EndpointResponseSnippet endpoint="POST /bank-transfer-payments/{paymentId}/reverse" />